List of MATLAB toolbox required

Viewing 6 posts - 1 through 6 (of 6 total)
  • Author
    Posts
  • #13961
    Avneesh
    Participant

    Hi,

    Please share the list of MATLAB toolboxes required for System level simulator. It’s not available on website unlike LTE-A simulator. It will be a big help.

    #13963
    Charmae Mendoza
    Keymaster

    Hi,

    You may try using matlab.codetools.requiredFilesAndProducts or the function getPackageDependencies2 to get a list of the dependencies.

    Regards,
    Charmae

    #13977
    Avneesh
    Participant

    Hi Charmae,

    Thanks for your reply.
    I used matlab.codetools.requiredFilesAndProducts but I found that it only lists the dependencies that I actually have. It does not seem to list the dependencies that are missing.

    It would be great if you can share it from your end the toolboxes we will have to buy.

    Regards,
    Avneesh

    #13990
    Avneesh
    Participant

    If someone is looking this thread in future, you need following Toolboxes:

    MATLAB
    Simulink
    Statistics and Machine Learning Toolbox
    Communications Toolbox
    Mapping Toolbox

    #14352
    Farhan
    Participant

    Which version of MATLAB is required for the latest version of Simulator to work?

    • This reply was modified 9 months ago by Farhan.
    #14432
    Charmae Mendoza
    Keymaster

    Hi Farhan,

    Version 1.1 of the simulator requires:
    – MATLAB
    – Statistics and Machine Learning Toolbox
    – Parallel Computing Toolbox.

    For the MATLAB version, you may use R2019b or later versions.
    An error on integrity check for the results may occur when using older versions (see example). The error can be fixed by replacing the problematic line with:

    if size(losMap,1) ~= nAnt && size(losMap,2) ~= nUsers && size(losMap,3) ~= nSegmentsTotal

    Regards,
    Charmae

Viewing 6 posts - 1 through 6 (of 6 total)
  • You must be logged in to reply to this topic.